VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::metamodel::PackageInfo Class Reference

The `PackageInfo` class contains the metamodel information of all the service elements, structure elements and enumeration elements contained in the package element. More...

List of all members.

## Public Member Functions
| PackageInfo ()
| Creates a default new instance.
string | GetName ()
| Dot separated name of the package element.
void | SetName (string name)
| Dot separated name of the package element.
global::System.Collections.Generic.Dictionary < string, vmware.vapi.metadata.metamodel.StructureInfo > | GetStructures ()
| Metamodel information of all the structure elements contained in the package element.
void | SetStructures (global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.StructureInfo > structures)
| Metamodel information of all the structure elements contained in the package element.
global::System.Collections.Generic.Dictionary < string, vmware.vapi.metadata.metamodel.EnumerationInfo > | GetEnumerations ()
| Metamodel information of all the enumeration elements contained in the package element.
void | SetEnumerations (global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.EnumerationInfo > enumerations)
| Metamodel information of all the enumeration elements contained in the package element.
global::System.Collections.Generic.Dictionary < string, vmware.vapi.metadata.metamodel.ServiceInfo > | GetServices ()
| Metamodel information of all the service elements contained in the package element.
void | SetServices (global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.ServiceInfo > services)
| Metamodel information of all the service elements contained in the package element.
global::System.Collections.Generic.Dictionary < string, vmware.vapi.metadata.metamodel.ElementMap > | GetMetadata ()
| Generic metadata elements for the package element.
void | SetMetadata (global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.ElementMap > metadata)
| Generic metadata elements for the package element.
string | GetDocumentation ()
| English language documentation for a package.
void | SetDocumentation (string documentation)
| English language documentation for a package.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `PackageInfo` class contains the metamodel information of all the service elements, structure elements and enumeration elements contained in the package element.

## Constructor & Destructor Documentation

vmware::vapi::metadata::metamodel::PackageInfo::PackageInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::metamodel::PackageInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::metamodel::PackageInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::metamodel::PackageInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::metamodel::PackageInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::metamodel::PackageInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::metamodel::PackageInfo::Equals | ( | object | obj | ) | `[inline]`

string vmware::vapi::metadata::metamodel::PackageInfo::GetDocumentation | ( |  | ) | `[inline]`

English language documentation for a package.

It can contain HTML markup and Javadoc tags. The first sentence of the package documentation is a complete sentence that identifies the package by name and summarizes the purpose of the package.

The primary purpose of a package documentation is to provide high-level context that will provide a framework in which the users can put the detail about the package contents.

global::System.Collections.Generic.Dictionary<string, vmware.vapi.metadata.metamodel.EnumerationInfo> vmware::vapi::metadata::metamodel::PackageInfo::GetEnumerations | ( |  | ) | `[inline]`

Metamodel information of all the enumeration elements contained in the package element.

The key in the map is the identifier of the enumeration element and the value in the map is the metamodel information for the enumeration element.

This does not include the enumeration elements that are contained in the service elements of this package element or structure elements of this package element. When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vapi.enumeration` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vapi.enumeration` .

override int vmware::vapi::metadata::metamodel::PackageInfo::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.Dictionary<string, vmware.vapi.metadata.metamodel.ElementMap> vmware::vapi::metadata::metamodel::PackageInfo::GetMetadata | ( |  | ) | `[inline]`

Generic metadata elements for the package element.

The key in the map is the name of the metadata element and the value is the data associated with that metadata element.

The MetadataIdentifier contains possible string values for keys in the map.

string vmware::vapi::metadata::metamodel::PackageInfo::GetName | ( |  | ) | `[inline]`

Dot separated name of the package element.

The segments in the name reflect the organization of the APIs. The format of each segment is lower case with underscores. Each underscore represents a word boundary. If there are acronyms in the word, the capitalization is preserved. This format makes it easy to translate the segment into a different naming convention.

global::System.Collections.Generic.Dictionary<string, vmware.vapi.metadata.metamodel.ServiceInfo> vmware::vapi::metadata::metamodel::PackageInfo::GetServices | ( |  | ) | `[inline]`

Metamodel information of all the service elements contained in the package element.

The key in the map is the identifier of the service element and the value in the map is the metamodel information for the service element. When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vapi.service` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vapi.service` .

global::System.Collections.Generic.Dictionary<string, vmware.vapi.metadata.metamodel.StructureInfo> vmware::vapi::metadata::metamodel::PackageInfo::GetStructures | ( |  | ) | `[inline]`

Metamodel information of all the structure elements contained in the package element.

The key in the map is the identifier of the structure element and the value in the map is the metamodel information for the structure element.

This does not include the structure elements contained in the service elements that are contained in this package element. When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vapi.structure` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vapi.structure` .

void vmware::vapi::metadata::metamodel::PackageInfo::SetDocumentation | ( | string | documentation | ) | `[inline]`

English language documentation for a package.

It can contain HTML markup and Javadoc tags. The first sentence of the package documentation is a complete sentence that identifies the package by name and summarizes the purpose of the package.

The primary purpose of a package documentation is to provide high-level context that will provide a framework in which the users can put the detail about the package contents.

void vmware::vapi::metadata::metamodel::PackageInfo::SetEnumerations | ( | global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.EnumerationInfo > | enumerations | ) | `[inline]`

Metamodel information of all the enumeration elements contained in the package element.

The key in the map is the identifier of the enumeration element and the value in the map is the metamodel information for the enumeration element.

This does not include the enumeration elements that are contained in the service elements of this package element or structure elements of this package element. When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vapi.enumeration` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vapi.enumeration` .

void vmware::vapi::metadata::metamodel::PackageInfo::SetMetadata | ( | global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.ElementMap > | metadata | ) | `[inline]`

Generic metadata elements for the package element.

The key in the map is the name of the metadata element and the value is the data associated with that metadata element.

The MetadataIdentifier contains possible string values for keys in the map.

void vmware::vapi::metadata::metamodel::PackageInfo::SetName | ( | string | name | ) | `[inline]`

Dot separated name of the package element.

The segments in the name reflect the organization of the APIs. The format of each segment is lower case with underscores. Each underscore represents a word boundary. If there are acronyms in the word, the capitalization is preserved. This format makes it easy to translate the segment into a different naming convention.

void vmware::vapi::metadata::metamodel::PackageInfo::SetServices | ( | global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.ServiceInfo > | services | ) | `[inline]`

Metamodel information of all the service elements contained in the package element.

The key in the map is the identifier of the service element and the value in the map is the metamodel information for the service element. When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vapi.service` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vapi.service` .

void vmware::vapi::metadata::metamodel::PackageInfo::SetStructures | ( | global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.StructureInfo > | structures | ) | `[inline]`

Metamodel information of all the structure elements contained in the package element.

The key in the map is the identifier of the structure element and the value in the map is the metamodel information for the structure element.

This does not include the structure elements contained in the service elements that are contained in this package element. When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vapi.structure` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vapi.structure` .

override string vmware::vapi::metadata::metamodel::PackageInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- metamodel/PackageInfo.cs